=== debian/changelog ===
kdegames (4:1.1.2-19990906-1) unstable; urgency=low

  * new upstream version 

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Sep 1999 22:30:55 -0400

kdegames (4:1.1.1-19990701-1) unstable; urgency=low     

  * new upstream version from CVS
  * This is pre-1.1.2 (frozen)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 01 Jul 1999 23:45:55 -0400

kdegames (4:1.1.1-19990624-1) unstable; urgency=low

  * new upstream version from CVS
  * Adding a dh_clean to rules script

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 24 Jun 1999 05:15:55 -0400

kdegames (4:1.1.1-19990612-1) unstable; urgency=low

  * new upstream version from CVS

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Jun 1999 03:30:55 -0400

kdegames (4:1.1.1-19990529-1) unstable; urgency=low

  * new upstream version from CVS
  * New kderules script

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 29 May 1999 22:00:55 -0400

kdegames (4:1.1.1-19990523-1) unstable; urgency=low

  * new upstream version from CVS
  * Includes kderules cleanup and other fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 May 1999 05:00:55 -0400 

kdegames (4:1.1.1-19990424-1) unstable; urgency=low

  * new upstream version for KDE 1.1.1

 -- Stephan Kulow <coolo@kde.org>  Sat, 24 Apr 1999 16:53:55 +0200

kdegames (4:1.1-19990306-1) unstable; urgency=low

  * new upstream version out of CVS (many translation updates and some
    security fixes

 -- Stephan Kulow <coolo@kde.org>  Sat,  6 Mar 1999 18:03:04 +0100

kdegames (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Wed, 17 Feb 1999 19:09:41 +0100

kdegames (4:1.1-19990207-2) unstable; urgency=low

  * fixed a bug with the wrong libjpeg version

 -- Stephan Kulow <coolo@kde.org>  Tue,  9 Feb 1999 10:43:43 +0100

kdegames (4:1.1-19990207-1) unstable; urgency=low

  * new upstream version 1.1 and new epoche

 -- Stephan Kulow <coolo@kde.org>  Sun,  7 Feb 1999 12:12:58 +0100

kdegames (2:980710-1.0-1) unstable; urgency=low

  * New upstream release 1.0

 -- Stephan Kulow <coolo@kde.org>  Sun, 12 Jul 1998 19:41:57 +0200

kdegames (2:980419-b4-1) unstable; urgency=low

  * new upstream version Beta4

 -- Stephan Kulow <coolo@kde.org>  Sun, 19 Apr 1998 15:49:10 +0200

kdegames (2:980310-3) frozen; urgency=low

  * removed this ugly dependency on a specific kdebase version
  * new compile cycle with fixed kdelibs. This time from CVS
  * add undocumented man page

 -- Stephan Kulow <coolo@kde.org>  Fri,  3 Apr 1998 17:08:37 +0200

kdegames (2:980310-2) frozen; urgency=low

  * new compile cycle with qt-1.33 and libstc++-2.8

 -- Stephan Kulow <coolo@kde.org>  Tue, 24 Mar 1998 20:28:34 +0100

kdegames (2:980310-1) experimental; urgency=low

  * increased epoche

 -- Stephan Kulow <coolo@kde.org>  Tue, 10 Mar 1998 20:37:20 +0100

kdegames (980310-1) experimental; urgency=low

  * changed README notice
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Tue, 10 Mar 1998 20:29:22 +0100

kdegames (980228-1) experimental; urgency=low

  * made bindir to kde_bindir
  * changed bindir to /usr/games
  * changed section to contrib
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Sat, 28 Feb 1998 22:36:27 +0100

kdegames (980227-1) experimental; urgency=low

  * fixed rules file
  * changed maintainer field
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Sat, 28 Feb 1998 02:03:54 +0100

kdegames (1:Beta2-2.1) experimental; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Fri,  5 Dec 1997 21:18:16 +0100

kdegames (1:Beta2-2) unstable; urgency=low

  * removed virtual package names.

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 30 Nov 1997 17:05:03 +0100

kdegames (1:Beta2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 23 Nov 1997 18:59:30 +0100

kdegames (1:Beta1.2-2) unstable; urgency=low

  * new compile cycle with bugfixes

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  9 Nov 1997 19:46:23 +0100

kdegames (1:Beta1.2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 27 Oct 1997 11:43:21 +0100

kdegames (1:Beta1.1-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 20 Oct 1997 11:46:00 +0200

kdegames (971019-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Sun, 19 Oct 1997 16:08:30 +0200

kdegames (971013-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 13 Oct 1997 08:26:28 +0200

kdegames (971009-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Thu,  9 Oct 1997 10:55:21 +0200

kdegames (971008-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Wed,  8 Oct 1997 10:11:29 +0200

kdegames (971006-2) unstable; urgency=low

  * daily recompile of everything.

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Tue,  7 Oct 1997 12:09:00 +0200

kdegames (971006-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon,  6 Oct 1997 09:27:43 +0200

kdegames (971005-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Sun,  5 Oct 1997 17:35:44 +0200

kdegames (971003-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Fri,  3 Oct 1997 08:28:31 +0200

kdegames (971002-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Thu,  2 Oct 1997 08:55:37 +0200

kdegames (970930-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Tue, 30 Sep 1997 11:42:58 +0200

kdegames (970929-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Mon, 29 Sep 1997 09:43:07 +0200


