=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# games on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: $(BUILDDIR)/build-stamp

$(BUILDDIR)/build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	test -d $(BUILDDIR) || mkdir $(BUILDDIR) ;\
	cp -R po $(BUILDDIR) ;\
	cd $(BUILDDIR) ;\
	CXXFLAGS="-g -O2 -Wall" \
	  ../configure --with-install-root=`pwd`/../debian/tmp --prefix=/usr \
	  --disable-rpath --bindir=$${kde_bindir} --with-qt-dir=/usr/lib/qt1g
	
	make -C $(BUILDDIR)
 
	touch $(BUILDDIR)/build-stamp

clean: debian-clean
	-rm -rf $(BUILDDIR)
	-rm -f debian/files
	-rm -f debian/menu
	-rm -f debian/substvars
	-rm -f configure
	dh_clean

debian-clean:
	dh_testdir
	-rm -f $(BUILDDIR)/build-stamp

binary-indep:	build
	dh_testroot
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	make -C $(BUILDDIR) bindir=`pwd`/debian/tmp/usr/games install
	cp kasteroids/sprites/bits/b* debian/tmp/usr/share/apps/kasteroids/sprites/bits/
	cp kasteroids/sprites/missile/m* debian/tmp/usr/share/apps/kasteroids/sprites/missile/
	cp kasteroids/sprites/rock1/r* debian/tmp/usr/share/apps/kasteroids/sprites/rock1/
	cp kasteroids/sprites/rock2/r* debian/tmp/usr/share/apps/kasteroids/sprites/rock2/
	cp kasteroids/sprites/rock3/r* debian/tmp/usr/share/apps/kasteroids/sprites/rock3/
	cp kasteroids/sprites/ship/s* debian/tmp/usr/share/apps/kasteroids/sprites/ship/
	perl -w admin/debianrules
	dh_movefiles
	dh_undocumented 
	dh_installdocs
	dh_installmenu
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	perl -w admin/debianrules update
	dh_builddeb            

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
